drop TABLE if exists app_screen.a_pm_4g_cuct_all_day;
CREATE TABLE app_screen.a_pm_4g_cuct_all_day
(
sdate timestamp,
city varchar,
county varchar,
cell_number	numeric	,
poor_samples_110	numeric	,
rsrp_samples	numeric	,
cove_rage	numeric,
dl_prb_utilization	numeric,
busy_avg_dl_prb_utilization	numeric,
total_tra_mb	numeric	,
-- tra_mb_cu_plmn	numeric	, --删除
-- tra_mb_ct_plmn	numeric	, --删除
rrc_max	numeric	,
-- rrc_max_cu_plmn	numeric	, --删除
-- rrc_max_ct_plmn	numeric	, --删除
radio_conn_suc_r	numeric,
lte_drop_r	numeric,
ho_out_suc_r	numeric,
dl_speed_mbps_avg_d	numeric,
dl_speed_mbps	numeric,
erab_suc_r_qci1	numeric,
lte_drop_r_qci1	numeric,
ul_pdcp_package_drop_ratio_qci1	numeric,
dl_pdcp_package_drop_ratio_qci1	numeric,
poor_cell_num	numeric,
poor_cell_ratio	numeric
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_cuct_all_day IS '共享共建联通全量表';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.city is '地市';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.county is '区县';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.cell_number is '小区数量';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.POOR_SAMPLES_110 is '低于-110采样点数(万)';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.RSRP_SAMPLES is '总采样点数（万）';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.COVE_RAGE is '覆盖率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.dl_prb_utilization is '4G共享小区忙时平均下行PRB利用率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.busy_avg_dl_prb_utilization is '忙时平均下行PRB利用率＞65%的小区占比';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.total_tra_mb is '空口业务总流量';
-- COMMENT ON COLUMN a_pm_4g_cuct_all_day.tra_mb_cu_plmn is '空口流量(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cuct_all_day.tra_mb_ct_plmn is '空口流量(电信PLMN)';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.rrc_max is 'RRC连接最大用户数';
-- COMMENT ON COLUMN a_pm_4g_cuct_all_day.rrc_max_cu_plmn is 'RRC连接最大用户数(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cuct_all_day.rrc_max_ct_plmn is 'RRC连接最大用户数（电信PLMN）';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.radio_conn_suc_r is '无线接通率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.lte_drop_r is 'ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.ho_out_suc_r is '切换成功率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.dl_speed_mbps_avg_d is '下行单用户感知速率(天级平均）';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.dl_speed_mbps is '下行单用户感知速率（分子分母计算）';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.erab_suc_r_qci1 is 'QCI1 ERAB建立成功率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.lte_drop_r_qci1 is 'QCI1 ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.ul_pdcp_package_drop_ratio_qci1 is 'QCI1 上行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.dl_pdcp_package_drop_ratio_qci1 is 'QCI1 下行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.poor_cell_num is '质差小区数量';
COMMENT ON COLUMN a_pm_4g_cuct_all_day.poor_cell_ratio is '质差小区占比';
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220501 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220502 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220503 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220504 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220505 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220506 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220507 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220508 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220509 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220510 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220511 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220512 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220513 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220514 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220515 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220516 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220517 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220518 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220519 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220520 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220521 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220522 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220523 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220524 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220525 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220526 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220527 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220528 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220529 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220530 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cuct_all_day_20220531 PARTITION OF app_screen.a_pm_4g_cuct_all_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');


drop TABLE if exists app_screen.a_pm_4g_cu_build_day;
CREATE TABLE app_screen.a_pm_4g_cu_build_day
(
sdate timestamp,
city varchar,
county varchar,
cell_number	numeric	,
poor_samples_110	numeric	,
rsrp_samples	numeric	,
cove_rage	numeric,
dl_prb_utilization	numeric,
busy_avg_dl_prb_utilization	numeric,
total_tra_mb	numeric	,
-- tra_mb_cu_plmn	numeric	, --删除
-- tra_mb_ct_plmn	numeric	, --删除
rrc_max	numeric	,
-- rrc_max_cu_plmn	numeric	, --删除
-- rrc_max_ct_plmn	numeric	, --删除
radio_conn_suc_r	numeric,
lte_drop_r	numeric,
ho_out_suc_r	numeric,
dl_speed_mbps_avg_d	numeric,
dl_speed_mbps	numeric,
erab_suc_r_qci1	numeric,
lte_drop_r_qci1	numeric,
ul_pdcp_package_drop_ratio_qci1	numeric,
dl_pdcp_package_drop_ratio_qci1	numeric,
poor_cell_num	numeric,
poor_cell_ratio	numeric
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_cu_build_day IS '共享共建联通自有表';
COMMENT ON COLUMN a_pm_4g_cu_build_day.city is '地市';
COMMENT ON COLUMN a_pm_4g_cu_build_day.county is '区县';
COMMENT ON COLUMN a_pm_4g_cu_build_day.cell_number is '小区数量';
COMMENT ON COLUMN a_pm_4g_cu_build_day.POOR_SAMPLES_110 is '低于-110采样点数(万)';
COMMENT ON COLUMN a_pm_4g_cu_build_day.RSRP_SAMPLES is '总采样点数（万）';
COMMENT ON COLUMN a_pm_4g_cu_build_day.COVE_RAGE is '覆盖率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.dl_prb_utilization is '4G共享小区忙时平均下行PRB利用率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.busy_avg_dl_prb_utilization is '忙时平均下行PRB利用率＞65%的小区占比';
COMMENT ON COLUMN a_pm_4g_cu_build_day.total_tra_mb is '空口业务总流量';
-- COMMENT ON COLUMN a_pm_4g_cu_build_day.tra_mb_cu_plmn is '空口流量(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cu_build_day.tra_mb_ct_plmn is '空口流量(电信PLMN)';
COMMENT ON COLUMN a_pm_4g_cu_build_day.rrc_max is 'RRC连接最大用户数';
-- COMMENT ON COLUMN a_pm_4g_cu_build_day.rrc_max_cu_plmn is 'RRC连接最大用户数(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cu_build_day.rrc_max_ct_plmn is 'RRC连接最大用户数（电信PLMN）';
COMMENT ON COLUMN a_pm_4g_cu_build_day.radio_conn_suc_r is '无线接通率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.lte_drop_r is 'ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.ho_out_suc_r is '切换成功率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.dl_speed_mbps_avg_d is '下行单用户感知速率(天级平均）';
COMMENT ON COLUMN a_pm_4g_cu_build_day.dl_speed_mbps is '下行单用户感知速率（分子分母计算）';
COMMENT ON COLUMN a_pm_4g_cu_build_day.erab_suc_r_qci1 is 'QCI1 ERAB建立成功率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.lte_drop_r_qci1 is 'QCI1 ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.ul_pdcp_package_drop_ratio_qci1 is 'QCI1 上行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.dl_pdcp_package_drop_ratio_qci1 is 'QCI1 下行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cu_build_day.poor_cell_num is '质差小区数量';
COMMENT ON COLUMN a_pm_4g_cu_build_day.poor_cell_ratio is '质差小区占比';
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220501 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220502 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220503 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220504 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220505 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220506 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220507 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220508 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220509 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220510 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220511 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220512 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220513 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220514 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220515 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220516 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220517 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220518 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220519 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220520 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220521 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220522 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220523 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220524 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220525 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220526 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220527 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220528 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220529 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220530 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_build_day_20220531 PARTITION OF app_screen.a_pm_4g_cu_build_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');


drop TABLE if exists app_screen.a_pm_4g_cu_share_day;
CREATE TABLE app_screen.a_pm_4g_cu_share_day
(
sdate timestamp,
city varchar,
county varchar,
cell_number	numeric	,
poor_samples_110	numeric	,
rsrp_samples	numeric	,
cove_rage	numeric,
dl_prb_utilization	numeric,
busy_avg_dl_prb_utilization	numeric,
total_tra_mb	numeric	,
-- tra_mb_cu_plmn	numeric	, --删除
-- tra_mb_ct_plmn	numeric	, --删除
rrc_max	numeric	,
-- rrc_max_cu_plmn	numeric	, --删除
-- rrc_max_ct_plmn	numeric	, --删除
radio_conn_suc_r	numeric,
lte_drop_r	numeric,
ho_out_suc_r	numeric,
dl_speed_mbps_avg_d	numeric,
dl_speed_mbps	numeric,
erab_suc_r_qci1	numeric,
lte_drop_r_qci1	numeric,
ul_pdcp_package_drop_ratio_qci1	numeric,
dl_pdcp_package_drop_ratio_qci1	numeric,
poor_cell_num	numeric,
poor_cell_ratio	numeric
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_cu_share_day IS '共享共建联通共享表';
COMMENT ON COLUMN a_pm_4g_cu_share_day.city is '地市';
COMMENT ON COLUMN a_pm_4g_cu_share_day.county is '区县';
COMMENT ON COLUMN a_pm_4g_cu_share_day.cell_number is '小区数量';
COMMENT ON COLUMN a_pm_4g_cu_share_day.POOR_SAMPLES_110 is '低于-110采样点数(万)';
COMMENT ON COLUMN a_pm_4g_cu_share_day.RSRP_SAMPLES is '总采样点数（万）';
COMMENT ON COLUMN a_pm_4g_cu_share_day.COVE_RAGE is '覆盖率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.dl_prb_utilization is '4G共享小区忙时平均下行PRB利用率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.busy_avg_dl_prb_utilization is '忙时平均下行PRB利用率＞65%的小区占比';
COMMENT ON COLUMN a_pm_4g_cu_share_day.total_tra_mb is '空口业务总流量';
-- COMMENT ON COLUMN a_pm_4g_cu_share_day.tra_mb_cu_plmn is '空口流量(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cu_share_day.tra_mb_ct_plmn is '空口流量(电信PLMN)';
COMMENT ON COLUMN a_pm_4g_cu_share_day.rrc_max is 'RRC连接最大用户数';
-- COMMENT ON COLUMN a_pm_4g_cu_share_day.rrc_max_cu_plmn is 'RRC连接最大用户数(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_cu_share_day.rrc_max_ct_plmn is 'RRC连接最大用户数（电信PLMN）';
COMMENT ON COLUMN a_pm_4g_cu_share_day.radio_conn_suc_r is '无线接通率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.lte_drop_r is 'ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.ho_out_suc_r is '切换成功率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.dl_speed_mbps_avg_d is '下行单用户感知速率(天级平均）';
COMMENT ON COLUMN a_pm_4g_cu_share_day.dl_speed_mbps is '下行单用户感知速率（分子分母计算）';
COMMENT ON COLUMN a_pm_4g_cu_share_day.erab_suc_r_qci1 is 'QCI1 ERAB建立成功率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.lte_drop_r_qci1 is 'QCI1 ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.ul_pdcp_package_drop_ratio_qci1 is 'QCI1 上行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.dl_pdcp_package_drop_ratio_qci1 is 'QCI1 下行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_cu_share_day.poor_cell_num is '质差小区数量';
COMMENT ON COLUMN a_pm_4g_cu_share_day.poor_cell_ratio is '质差小区占比';
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220501 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220502 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220503 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220504 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220505 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220506 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220507 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220508 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220509 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220510 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220511 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220512 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220513 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220514 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220515 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220516 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220517 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220518 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220519 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220520 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220521 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220522 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220523 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220524 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220525 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220526 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220527 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220528 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220529 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220530 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_cu_share_day_20220531 PARTITION OF app_screen.a_pm_4g_cu_share_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');


drop TABLE if exists app_screen.a_pm_4g_ct_share_day;
CREATE TABLE app_screen.a_pm_4g_ct_share_day
(
sdate timestamp,
city varchar,
county varchar,
cell_number	numeric	,
poor_samples_110	numeric	,
rsrp_samples	numeric	,
cove_rage	numeric,
dl_prb_utilization	numeric,
busy_avg_dl_prb_utilization	numeric,
total_tra_mb	numeric	,
-- tra_mb_cu_plmn	numeric	, --删除
-- tra_mb_ct_plmn	numeric	, --删除
rrc_max	numeric	,
-- rrc_max_cu_plmn	numeric	, --删除
-- rrc_max_ct_plmn	numeric	, --删除
radio_conn_suc_r	numeric,
lte_drop_r	numeric,
ho_out_suc_r	numeric,
dl_speed_mbps_avg_d	numeric,
dl_speed_mbps	numeric,
erab_suc_r_qci1	numeric,
lte_drop_r_qci1	numeric,
ul_pdcp_package_drop_ratio_qci1	numeric,
dl_pdcp_package_drop_ratio_qci1	numeric,
poor_cell_num	numeric,
poor_cell_ratio	numeric
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_ct_share_day IS '共享共建电信共享表';
COMMENT ON COLUMN a_pm_4g_ct_share_day.city is '地市';
COMMENT ON COLUMN a_pm_4g_ct_share_day.county is '区县';
COMMENT ON COLUMN a_pm_4g_ct_share_day.cell_number is '小区数量';
COMMENT ON COLUMN a_pm_4g_ct_share_day.POOR_SAMPLES_110 is '低于-110采样点数(万)';
COMMENT ON COLUMN a_pm_4g_ct_share_day.RSRP_SAMPLES is '总采样点数（万）';
COMMENT ON COLUMN a_pm_4g_ct_share_day.COVE_RAGE is '覆盖率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.dl_prb_utilization is '4G共享小区忙时平均下行PRB利用率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.busy_avg_dl_prb_utilization is '忙时平均下行PRB利用率＞65%的小区占比';
COMMENT ON COLUMN a_pm_4g_ct_share_day.total_tra_mb is '空口业务总流量';
-- COMMENT ON COLUMN a_pm_4g_ct_share_day.tra_mb_cu_plmn is '空口流量(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_ct_share_day.tra_mb_ct_plmn is '空口流量(电信PLMN)';
COMMENT ON COLUMN a_pm_4g_ct_share_day.rrc_max is 'RRC连接最大用户数';
-- COMMENT ON COLUMN a_pm_4g_ct_share_day.rrc_max_cu_plmn is 'RRC连接最大用户数(联通PLMN)';
-- COMMENT ON COLUMN a_pm_4g_ct_share_day.rrc_max_ct_plmn is 'RRC连接最大用户数（电信PLMN）';
COMMENT ON COLUMN a_pm_4g_ct_share_day.radio_conn_suc_r is '无线接通率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.lte_drop_r is 'ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.ho_out_suc_r is '切换成功率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.dl_speed_mbps_avg_d is '下行单用户感知速率(天级平均）';
COMMENT ON COLUMN a_pm_4g_ct_share_day.dl_speed_mbps is '下行单用户感知速率（分子分母计算）';
COMMENT ON COLUMN a_pm_4g_ct_share_day.erab_suc_r_qci1 is 'QCI1 ERAB建立成功率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.lte_drop_r_qci1 is 'QCI1 ERAB掉线率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.ul_pdcp_package_drop_ratio_qci1 is 'QCI1 上行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.dl_pdcp_package_drop_ratio_qci1 is 'QCI1 下行PDCP SDU丢包率';
COMMENT ON COLUMN a_pm_4g_ct_share_day.poor_cell_num is '质差小区数量';
COMMENT ON COLUMN a_pm_4g_ct_share_day.poor_cell_ratio is '质差小区占比';
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220501 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220502 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220503 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220504 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220505 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220506 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220507 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220508 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220509 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220510 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220511 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220512 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220513 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220514 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220515 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220516 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220517 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220518 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220519 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220520 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220521 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220522 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220523 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220524 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220525 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220526 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220527 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220528 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220529 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220530 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_ct_share_day_20220531 PARTITION OF app_screen.a_pm_4g_ct_share_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');



drop TABLE if exists app_screen.a_pm_4g_poor_cell_day;
create table app_screen.a_pm_4g_poor_cell_day
(
sdate timestamp,
city varchar,
county varchar,
operators varchar,
share_cell_num int,
conn_suc_poor int,
lte_highdrop_poor int,
cqi_poor int,
low_speed_mbps int,
ho_out_suc_poor int,
volte_join_poor int,
volte_highdrop_poor int,
ul_pdcp_package_drop_poor int,
dl_pdcp_package_drop_poor int,
highload_prb int,
poor_cell_num int,
poor_cell_ratio decimal(28,2)
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_poor_cell_day IS '共享共建质差小区汇总';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.city is '地市';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.county is '区县';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.operators is '运营商';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.share_cell_num is '共享共建小区数量';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.conn_suc_poor is '无线接通率质差';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.lte_highdrop_poor is 'UE高掉线小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.cqi_poor is 'CQI质差小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.low_speed_mbps is '低速率小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.ho_out_suc_poor is '切换成功率低小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.volte_join_poor is 'VoLTE低接入小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.volte_highdrop_poor is 'VoLTE高掉话小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.ul_pdcp_package_drop_poor is 'VoLTE空口上行高丢包小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.dl_pdcp_package_drop_poor is 'VoLTE空口下行高丢包小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.highload_prb is '高负荷小区';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.poor_cell_num is '质差小区数量';
COMMENT ON COLUMN a_pm_4g_poor_cell_day.poor_cell_ratio is '质差小区占比';
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220501 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220502 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220503 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220504 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220505 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220506 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220507 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220508 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220509 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220510 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220511 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220512 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220513 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220514 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220515 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220516 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220517 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220518 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220519 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220520 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220521 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220522 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220523 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220524 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220525 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220526 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220527 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220528 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220529 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220530 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_day_20220531 PARTITION OF app_screen.a_pm_4g_poor_cell_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');





drop TABLE if exists app_screen.a_pm_4g_poor_cell_list_day;
create table app_screen.a_pm_4g_poor_cell_list_day
(
sdate timestamp,
city varchar,
county varchar,
operators varchar,
cell_name varchar,
conn_suc_poor numeric, --修改类型
lte_highdrop_poor numeric, --修改类型
cqi_poor numeric, --修改类型
low_speed_mbps numeric, --修改类型
ho_out_suc_poor numeric, --修改类型
volte_join_poor numeric, --修改类型
volte_highdrop_poor numeric, --修改类型
ul_pdcp_package_drop_poor numeric, --修改类型
dl_pdcp_package_drop_poor numeric, --修改类型
score int,
conn_suc_poor_flag int,
lte_highdrop_poor_flag int,
cqi_poor_flag int,
low_speed_mbps_flag int,
ho_out_suc_poor_flag int,
volte_join_poor_flag int,
volte_highdrop_poor_flag int,
ul_pdcp_package_drop_poor_flag int,
dl_pdcp_package_drop_poor_flag int
)PARTITION BY RANGE (sdate);
COMMENT ON TABLE app_screen.a_pm_4g_poor_cell_list_day IS '共享共建质差小区汇总';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.city is '地市';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.county is '区县';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.operators is '运营商';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.cell_name is '小区名称';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.conn_suc_poor is '无线接通率质差';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.lte_highdrop_poor is 'UE高掉线小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.cqi_poor is 'CQI质差小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.low_speed_mbps is '低速率小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.ho_out_suc_poor is '切换成功率低小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.volte_join_poor is 'VoLTE低接入小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.volte_highdrop_poor is 'VoLTE高掉话小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.ul_pdcp_package_drop_poor is 'VoLTE空口上行高丢包小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.dl_pdcp_package_drop_poor is 'VoLTE空口下行高丢包小区';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.score is '积分';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.conn_suc_poor_flag is '无线接通率质差标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.lte_highdrop_poor_flag is 'UE高掉线小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.cqi_poor_flag is 'CQI质差小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.low_speed_mbps_flag is '低速率小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.ho_out_suc_poor_flag is '切换成功率低小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.volte_join_poor_flag is 'VoLTE低接入小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.volte_highdrop_poor_flag is 'VoLTE高掉话小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.ul_pdcp_package_drop_poor_flag is 'VoLTE空口上行高丢包小区标识';
COMMENT ON COLUMN app_screen.a_pm_4g_poor_cell_list_day.dl_pdcp_package_drop_poor_flag is 'VoLTE空口下行高丢包小区标识';
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220501 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-01 00:00:00') TO ('2022-05-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220502 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-02 00:00:00') TO ('2022-05-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220503 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-03 00:00:00') TO ('2022-05-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220504 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-04 00:00:00') TO ('2022-05-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220505 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-05 00:00:00') TO ('2022-05-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220506 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-06 00:00:00') TO ('2022-05-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220507 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-07 00:00:00') TO ('2022-05-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220508 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-08 00:00:00') TO ('2022-05-09 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220509 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-09 00:00:00') TO ('2022-05-10 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220510 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-10 00:00:00') TO ('2022-05-11 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220511 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-11 00:00:00') TO ('2022-05-12 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220512 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-12 00:00:00') TO ('2022-05-13 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220513 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-13 00:00:00') TO ('2022-05-14 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220514 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-14 00:00:00') TO ('2022-05-15 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220515 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-15 00:00:00') TO ('2022-05-16 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220516 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-16 00:00:00') TO ('2022-05-17 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220517 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-17 00:00:00') TO ('2022-05-18 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220518 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-18 00:00:00') TO ('2022-05-19 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220519 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-19 00:00:00') TO ('2022-05-20 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220520 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-20 00:00:00') TO ('2022-05-21 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220521 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-21 00:00:00') TO ('2022-05-22 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220522 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-22 00:00:00') TO ('2022-05-23 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220523 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-23 00:00:00') TO ('2022-05-24 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220524 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-24 00:00:00') TO ('2022-05-25 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220525 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-25 00:00:00') TO ('2022-05-26 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220526 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-26 00:00:00') TO ('2022-05-27 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220527 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-27 00:00:00') TO ('2022-05-28 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220528 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-28 00:00:00') TO ('2022-05-29 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220529 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-29 00:00:00') TO ('2022-05-30 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220530 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-30 00:00:00') TO ('2022-05-31 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220531 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-05-31 00:00:00') TO ('2022-06-01 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220601 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-01 00:00:00') TO ('2022-06-02 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220602 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-02 00:00:00') TO ('2022-06-03 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220603 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-03 00:00:00') TO ('2022-06-04 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220604 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-04 00:00:00') TO ('2022-06-05 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220605 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-05 00:00:00') TO ('2022-06-06 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220606 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-06 00:00:00') TO ('2022-06-07 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220607 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-07 00:00:00') TO ('2022-06-08 00:00:00');
CREATE TABLE app_screen.a_pm_4g_poor_cell_list_day_20220608 PARTITION OF app_screen.a_pm_4g_poor_cell_list_day FOR VALUES FROM ('2022-06-08 00:00:00') TO ('2022-06-09 00:00:00');

